> ## Documentation Index
> Fetch the complete documentation index at: https://checkly-422f444a-mintlify-f27640bd.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get analytics summary for multiple checks

> Returns availability, response times, and latency metrics for the given checks. Response shape is polymorphic per check type: fields are present only when the metric applies to that type. A null value means no data in the requested time range; an absent field means the metric does not apply to that check type.
Currently only `quickRange` is supported for time filtering. Arbitrary `from`/`to` date ranges are not yet supported but may be added in a future release.
**Rate-limiting is applied to this endpoint, you can send 30 requests / 60 seconds at most.**



## OpenAPI

````yaml post /v1/analytics/checks
openapi: 3.0.0
info:
  title: Checkly Public API
  version: v1
  description: >-
    These are the docs for the newly released Checkly Public API. If you have
    any questions, please do not hesitate to get in touch with us.
servers:
  - url: https://api.checklyhq.com
security:
  - Bearer: []
tags: []
paths:
  /v1/analytics/checks:
    post:
      tags:
        - Analytics
      summary: Get analytics summary for multiple checks
      description: >-
        Returns availability, response times, and latency metrics for the given
        checks. Response shape is polymorphic per check type: fields are present
        only when the metric applies to that type. A null value means no data in
        the requested time range; an absent field means the metric does not
        apply to that check type.

        Currently only `quickRange` is supported for time filtering. Arbitrary
        `from`/`to` date ranges are not yet supported but may be added in a
        future release.

        **Rate-limiting is applied to this endpoint, you can send 30 requests /
        60 seconds at most.**
      operationId: postV1AnalyticsChecks
      parameters:
        - schema:
            type: string
            enum:
              - last24Hours
              - last7Days
              - thisWeek
              - lastWeek
              - lastMonth
            default: last24Hours
            description: Time range for analytics.
          required: false
          description: Time range for analytics.
          name: quickRange
          in: query
        - schema:
            type: string
            format: uuid
            description: >-
              Your Checkly account ID, you can find it at
              https://app.checklyhq.com/settings/account/general
          required: false
          description: >-
            Your Checkly account ID, you can find it at
            https://app.checklyhq.com/settings/account/general
          name: x-checkly-account
          in: header
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AnalyticsBatchRequest'
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnalyticsBatchResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    AnalyticsBatchRequest:
      type: object
      properties:
        checkIds:
          type: array
          items:
            type: string
            minLength: 1
            format: uuid
          minItems: 1
          maxItems: 100
          description: Array of check IDs to fetch analytics for. Each ID must be a UUIDv4.
      required:
        - checkIds
      additionalProperties: false
    AnalyticsBatchResponse:
      type: array
      items:
        $ref: '#/components/schemas/AnalyticsBatchResponseItem'
    ApiError:
      type: object
      properties:
        statusCode:
          type: number
        error:
          type: string
        message:
          type: string
      required:
        - statusCode
        - error
        - message
    AnalyticsBatchResponseItem:
      type: object
      properties:
        checkId:
          type: string
          format: uuid
        checkType:
          type: string
          enum:
            - AGENTIC
            - API
            - BROWSER
            - HEARTBEAT
            - ICMP
            - MULTI_STEP
            - TCP
            - PLAYWRIGHT
            - TRACEROUTE
            - URL
            - DNS
            - SSL
            - GRPC
        availability:
          type: number
          nullable: true
        responseTime_avg:
          type: number
          nullable: true
        responseTime_p50:
          type: number
          nullable: true
        responseTime_p95:
          type: number
          nullable: true
        responseTime_p99:
          type: number
          nullable: true
        latency_avg:
          type: number
          nullable: true
        latency_p50:
          type: number
          nullable: true
        latency_p95:
          type: number
          nullable: true
        latency_p99:
          type: number
          nullable: true
        packetLoss_avg:
          type: number
          nullable: true
        packetLoss_p95:
          type: number
          nullable: true
        packetLoss_p99:
          type: number
          nullable: true
        hopCount_avg:
          type: number
          nullable: true
      required:
        - checkId
        - checkType
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: Bearer
      description: >-
        The Checkly Public API uses API keys to authenticate requests. You can
        get the API Key
        [here](https://app.checklyhq.com/settings/user/api-keys). Your API key
        is like a password: keep it secure!

        Authentication to the API is performed using the Bearer auth method in
        the Authorization header and using the account ID.

        For example, set **Authorization** header while using cURL: `curl -H
        "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"` 

````